# std::wcspbrk

From cppreference.com
< cpp‎ | string‎ | wide

Defined in header `<cwchar>` |  |
const wchar_t* wcspbrk( const wchar_t* dest, const wchar_t* str ); |  |
wchar_t* wcspbrk( wchar_t* dest, const wchar_t* str ); |  |

Finds the first character in wide string pointed to by `dest`, that is also in wide string pointed to by `str`.

### Parameters

dest | - | pointer to the null-terminated wide string to be analyzed
src | - | pointer to the null-terminated wide string that contains the characters to search for

### Return value

Pointer to the first character in `dest`, that is also in `str`, or NULL if no such character exists.

### Example

| This section is incomplete Reason: no example

### See also

wcscspn | returns the length of the maximum initial segment that consists of only the wide not found in another wide string (function)
wcschr | finds the first occurrence of a wide character in a wide string (function)
C documentation for wcspbrk

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/string/wide/wcspbrk&oldid=59126"
Category:

- Todo no example